
## GG Pixa

GG Pixa is a quirky pixel font with 14 pixels tall letters, for 28 writing systems.

It contains 14769 glyphs and 1 OpenType features, and supports 14766 characters from the Unicode blocks: CJK Unified Ideographs, Hangul Syllables, Unified Canadian Aboriginal Syllabics, Cyrillic, Hangul Jamo, Latin Extended Additional, Mathematical Operators, Miscellaneous Technical, Miscellaneous Symbols and Arrows, Miscellaneous Symbols, Greek Extended, Arabic, Halfwidth and Fullwidth Forms, Kangxi Radicals, Latin Extended-B, CJK Compatibility, Dingbats, CJK Compatibility Ideographs, Myanmar, Greek and Coptic, Supplemental Arrows-B, Latin Extended-A, Phonetic Extensions, Box Drawing, Coptic, Devanagari, Arrows, IPA Extensions, Katakana, Geometric Shapes, Hiragana, Cherokee, Armenian, Hebrew, Latin-1 Supplement, Runic, Basic Latin, Spacing Modifier Letters, Bengali, Letterlike Symbols, Enclosed Alphanumerics, Thai, Syriac, General Punctuation, Braille Patterns, Phonetic Extensions Supplement, Yijing Hexagram Symbols, Tifinagh, Tamil, NKo, Thaana, CJK Symbols and Punctuation, Arabic Supplement, Cyrillic Supplement, Miscellaneous Mathematical Symbols-A, Control Pictures, Combining Diacritical Marks, Tibetan, Modifier Tone Letters, Cyrillic Extended-A, Enclosed CJK Letters and Months, Currency Symbols, Block Elements, Ogham, Small Form Variants, Superscripts and Subscripts, Katakana Phonetic Extensions, Supplemental Arrows-A, Miscellaneous Mathematical Symbols-B, Ideographic Description Characters, Kanbun, Optical Character Recognition, Combining Diacritical Marks for Symbols, Cyrillic Extended-C, Alphabetic Presentation Forms, CJK Unified Ideographs Extension A, CJK Radicals Supplement, Number Forms.

### Supported writing systems

#### Han (Hanzi, Kanji, Hanja)

Han (Hanzi, Kanji, Hanja, 汉字, 漢字) is an East Asian logo-syllabary, written vertically right-to-left and horizontally left-to-right (over 1.3 billion users). Used at least since the Shang dynasty (1600–1046 BCE) to write the Chinese (Sinitic) languages like Mandarin and Cantonese, but also, today or in the past, Japanese, Korean, Vietnamese, Okinawan, Zhuang, Miao and other languages. The Han script has regional variations: Traditional Chinese (since the 5th century CE, today used in Taiwan, Hong Kong, Macau), Simplified Chinese (used since 1949–1956 in mainland China, Singapore, and Malaysia), Japanese (called Hanji, used together with the Hiragana and Katakana syllabaries in Japan), Korean (called Hanja, widely used for the Korean language since 400 BCE until the mid-20th century). Fundamentally the same characters represent the same or highly related concepts across dialects and languages, which themselves are often mutually unintelligible or completely unrelated. Some 2,100–2,500 Han characters are required for basic literacy, some 5,200–6,300 for reading typical texts. Many more are needed for specialized or historical texts: the Unicode Standard encodes over 94,000 Han characters. Read more on [ScriptSource](https://scriptsource.org/scr/Hani), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Hani), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch18.pdf#G29086), [Wiktionary](https://en.wiktionary.org/wiki/Category:Han_script).


#### Hangul

Hangul (Hangeul, 한글, Chosŏn'gŭl, 조선글) is an East Asian script, written vertically right-to-left and horizontally left-to-right (79 million users). Used for the Korean language. Created in 1446 by King Sejong the Great (Sejong of Joseon) as a simpler, phonetic alternative to using Chinese hanja for Korean. Not universally accepted for centuries, suppressed by Japanese colonial authorities. Since 1945 the standard script for Korean. The 51 basic letters (jamo) are grouped into syllable blocks depending on their position in the spoken syllable. Read more on [ScriptSource](https://scriptsource.org/scr/Hang), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Hang), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch18.pdf#G31028), [Wiktionary](https://en.wiktionary.org/wiki/Category:Hangul_script).


#### Latin

Latin (Roman) is a European bicameral alphabet, written left-to-right. The most popular writing system in the world. Used for over 3,000 languages including Latin and Romance languages (Italian, French, Portuguese, Spanish and Romanian), Germanic languages (English, Dutch, German, Nordic languages), Finnish, Malaysian, Indonesian, Filipino, Visayan languages, Turkish, Azerbaijani, Polish, Somali, Vietnamese, and many others. Derived from Western Greek, attested in Rome in the 7th century BCE. In the common era, numerous European languages adopted the Latin script along with Western Christian religion, the script disseminated further with European colonization of the Americas, Australia, parts of Asia, Africa and the Pacific. New letters, ligatures and diacritical marks were gradually added to represent the sounds of various languages. Read more on [ScriptSource](https://scriptsource.org/scr/Latn), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Latn), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch07.pdf#G4321), [Wiktionary](https://en.wiktionary.org/wiki/Category:Latin_script).


#### Canadian Aboriginal syllabics

Canadian Aboriginal syllabics is a family of American abugidas, written left-to-right (0.5 million users). Used for Cree languages, for Inuktitut (co-official with the Latin script in the territory of Nunavut), for Ojibwe, Blackfoot. Were also used for Dakelh (Carrier), Chipewyan, Slavey, Tłı̨chǫ (Dogrib) and Dane-zaa (Beaver). Created in 1840 by James Evans to write several indigenous Canadian languages. Primarily used in Canada, occasionally in the United States. Read more on [ScriptSource](https://scriptsource.org/scr/Cans), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Cans), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch20.pdf#G26630), [Wiktionary](https://en.wiktionary.org/wiki/Category:Canadian_syllabics_script).


#### Greek

Greek (Ελληνικά) is a European bicameral alphabet, written left-to-right (11 million users). Used to write the Greek language since the 8th century BCE. Also used to write other languages like Urum, Albanian Tosk, and Balkan Gagauz Turkish. Some symbols are also used in scientific notation. Derived from Phoenician. First “true alphabet”, with distinct letters for consonants and vowels. Standardized in the 4th century BCE by Eucleides. Has 24 letters. Some letter variants (sigma: σ/ς) have positional significance in the Greek language, other variants only differ in meaning in scientific notation (e.g. pi: π/ϖ). The Greek language used to be written in polytonic spelling, with three accents on vowels. In 1982, Greece introduced monotonic spelling with a single diacritic. Needs software support for complex text layout (shaping). Read more on [ScriptSource](https://scriptsource.org/scr/Grek), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Grek), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch07.pdf#G10832), [Wiktionary](https://en.wiktionary.org/wiki/Category:Greek_script).


#### Cyrillic

Cyrillic is a bicameral alphabet originating in Europe, written left-to-right (250 million users). Used for various languages across Eurasia and is used as the national script in various Slavic, Turkic, Mongolic and Iranic-speaking countries in Southeastern Europe, Eastern Europe, the Caucasus, Central Asia, North Asia and East Asia, including Russian, Bulgarian, Macedonian, Serbian, Ukrainian, Uzbek, Azerbaijani, Kazakh, Tajik, Kyrgyz, Bashkort, Chechen, Chuvash, Avar, Dargwa, Kabardian, Karakalpak, Kumyk, Lezgi, Ossetic, Pontic, Yakut, Buriat and many others. Created in the 9th century. Traditionally attributed to Saint Cyril, a monk from Thessaloniki working in Bulgaria, after earlier creation of the Glagolitic script. Sometimes attributed to Clement of Ohrid, a student of Saint Cyril’s. Initially used for Old Church Slavonic. Reformed in 1708 by Russian tsar Peter the Great. Extended by the Soviet Union in the 20th century to write over 50 languages throughout Eastern Europe and Asia (some of those languages switched to Latin after 1991). Read more on [ScriptSource](https://scriptsource.org/scr/Cyrl), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Cyrl), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch07.pdf#G10850), [Wiktionary](https://en.wiktionary.org/wiki/Category:Cyrillic_script).


#### Arabic

Arabic (العربية) is a Middle Eastern abjad, written right-to-left (660 million users). 2nd- or 3rd-most used script in the world. Used for the Arabic language since the 4th century, and for many other languages, often in Islamic countries or communities in Asia, Africa and the Middle East, like Persian, Uyghur, Kurdish, Punjabi, Sindhi, Balti, Balochi, Pashto, Lurish, Urdu, Kashmiri, Rohingya, Somali, Mandinka, Kazakh (in China), Kurdish, or Azeri (in Iran). Was used for Turkish until 1928. Includes 28 basic consonant letters for the Arabic language, plus additional letters for other languages. Some letters represent a consonant or a long vowel, while short vowels are optionally written with diacritics. Variants include Kufi with a very simplified structure, the widely-used Naskh calligraphic variant, and the highly cursive Nastaliq used mainly for Urdu. Needs software support for complex text layout (shaping). Read more on [ScriptSource](https://scriptsource.org/scr/Arab), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Arab), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch09.pdf#G20596), [Wiktionary](https://en.wiktionary.org/wiki/Category:Arabic_script).


#### Katakana

Katakana (片仮名、カタカナ) is an East Asian syllabary, written vertically right-to-left and horizontally left-to-right (126 million users). Used in Japan for Japanese, Ryukyuan, Ainu and Palauan, and formerly for Taiwanese Hokkien. Katakana is used for transcription of foreign-language words into Japanese, for the writing of loan words, for emphasis, to represent onomatopoeia, for technical and scientific terms, for names of plants, animals and minerals, and often for names of Japanese companies. Read more on [ScriptSource](https://scriptsource.org/scr/Kana), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Kana), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch18.pdf#G12058), [Wiktionary](https://en.wiktionary.org/wiki/Category:Katakana_script).


#### Emoji symbols

Emoji symbols are pictograms, logograms, ideograms and smileys used in electronic messages and web pages. Their primary function is to fill in emotional cues otherwise missing from typed conversation. They are typically rendered as multi-color characters. Read more on [ScriptSource](https://scriptsource.org/scr/Zsye), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Zsye), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch22.pdf#G12367).


#### Myanmar

Myanmar (Burmese, မြန်မာ) is a Southeast Asian abugida, written left-to-right (40 million users). Used since c. 1000 CE in Myanmar for the Burmese and Mon languages. Also used for some Karen languages. Needs software support for complex text layout (shaping). Read more on [ScriptSource](https://scriptsource.org/scr/Mymr), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Mymr), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch16.pdf#G24999), [Wiktionary](https://en.wiktionary.org/wiki/Category:Burmese_script).


#### Coptic

Coptic is a European bicameral alphabet, written left-to-right (0.4 million users). Since the 2nd century CE was used for the Coptic language, now the liturgical language of the Coptic church. Als used for Andaandi, Nobiin, Old Nubian and Mattokki. Derived from the Greek alphabet. Read more on [ScriptSource](https://scriptsource.org/scr/Copt), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Copt), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch07.pdf#G16256), [Wiktionary](https://en.wiktionary.org/wiki/Category:Coptic_script).


#### Devanagari

Devanagari (Negari, देवनागरी) is an Indic abugida, written left-to-right with a headstroke (over 600 million users). Used in India and Nepal for over 120 languages like Indo-Aryan languages, including Hindi, Nepali, Marathi, Maithili, Awadhi, Newari and Bhojpuri, and for Sanskrit. 4th most widely used script in the world. Brahmic script created in the 1st century CE, the modern form developed in the 7th century. Has 14 vowels and 33 consonants. Needs software support for complex text layout (shaping). Read more on [ScriptSource](https://scriptsource.org/scr/Deva), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Deva), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch12.pdf#G12284), [Wiktionary](https://en.wiktionary.org/wiki/Category:Devanagari_script).


#### Cherokee

Cherokee (ᏣᎳᎩ) is an American bicameral syllabary, written left-to-right. Used in the United States for the Cherokee language (12,000 speakers). Created in 1821 by Sequoyah (also known as George Guess), when it achieved instant popularity. By 1824 most Cherokee were literate in the script. Uses 85 letters. Read more on [ScriptSource](https://scriptsource.org/scr/Cher), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Cher), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch20.pdf#G26612), [Wiktionary](https://en.wiktionary.org/wiki/Category:Cherokee_script).


#### Armenian

Armenian (Հայոց գրեր) is a European bicameral alphabet, written left-to-right (12 million users). Created around 405 CE by Mesrop Mashtots. Used for the Armenian language to this day. Was widespread in the 18th–19th centuries CE in the Ottoman Empire. Armenia uses a reformed spelling introduced in the Soviet Union, the Armenian diaspora mostly uses the original Mesropian orthography. Read more on [ScriptSource](https://scriptsource.org/scr/Armn), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Armn), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch07.pdf#G3334), [Wiktionary](https://en.wiktionary.org/wiki/Category:Armenian_script).


#### Hiragana

Hiragana (平仮名, ひらがな) is an East Asian syllabary, written vertically right-to-left and horizontally left-to-right (120 million users). Used in Japan for Japanese and the Ryukyuan languages. Hiragana is used to write okurigana (kana suffixes following a kanji root, for example to inflect verbs and adjectives), various grammatical and function words including particles, as well as miscellaneous other native words for which there are no kanji or whose kanji form is obscure or too formal for the writing purpose. Read more on [ScriptSource](https://scriptsource.org/scr/Hira), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Hira), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch18.pdf#G22344), [Wiktionary](https://en.wiktionary.org/wiki/Category:Hiragana_script).


#### Hebrew

Hebrew (עברית) is a Middle Eastern abjad, written right-to-left (14 million users). Used for the Hebrew, Samaritan and Yiddish languages. Also used for some varieties of Arabic and for the languages of Jewish communities across the world. Has 22 consonant letters, 5 have positional variants. Vowels in Hebrew language are normally omitted except for long vowels which are sometimes written with the consonant letters אהוי (those were vowel-only letters until the 9th century). Children’s and school books use niqqud diacritics for all vowels. Religious texts may use cantillation marks for indicating rhythm and stress. Needs software support for complex text layout (shaping). Read more on [ScriptSource](https://scriptsource.org/scr/Hebr), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Hebr), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch09.pdf#G6528), [Wiktionary](https://en.wiktionary.org/wiki/Category:Hebrew_script).


#### Runic

Runic is a historical European alphabet, written left-to-right or boustrophedon. Used in Northern Europe in 150–1000 CE for Germanic languages. The Scandinavian variants are also called Futhark or Fuþark. Derived from Old Italic. Gradually replaced with the Latin script. Still used for specialized purposes, by occultist, mystic, and esoteric movements, and in fantasy literature. Read more on [ScriptSource](https://scriptsource.org/scr/Runr), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Runr), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch08.pdf#G26624), [Wiktionary](https://en.wiktionary.org/wiki/Category:Runic_script).


#### Bangla (Bengali)

Bangla (Bengali, Bengali-Assamese, বাংলা বর্ণমালা) is an Indic abugida, written left-to-right (265 million users). Used in Bangladesh and India, for the Bengali language, and for other languages like Assamese, Kokborok, Bishnupriya Manipuri, Meitei Manipuri, Rabha, Maithili, Rangpuri, Sylheti, Santali and Sanskrit. Developed in the 11th century CE. Needs software support for complex text layout (shaping). Read more on [ScriptSource](https://scriptsource.org/scr/Beng), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Beng), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch12.pdf#G664195), [Wiktionary](https://en.wiktionary.org/wiki/Category:Bengali_script).


#### Syriac

Syriac (ܐܠܦ ܒܝܬ ܣܘܪܝܝܐ) is a Middle Eastern abjad, written right-to-left. Was used in West Asia for Syriac (now only used in the Syrian church), and also Aramaic, Neo-Aramaic, Turoyo/Surayt. Attested in 6 CE. Needs software support for complex text layout (shaping). Read more on [ScriptSource](https://scriptsource.org/scr/Syrc), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Syrc), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch09.pdf#G13005), [Wiktionary](https://en.wiktionary.org/wiki/Category:Syriac_script).


#### Thai

Thai (ไทย) is a Southeast Asian abugida, written left-to-right (38 million users). Used since 1283 in Thailand, Laos and China for the Thai, Northern Thai, Northeastern Thai, Southern Thai, Thai Song and Pali languages. Related to the Lao script. Uses 44 letters for 21 consonants. Needs software support for complex text layout (shaping). Read more on [ScriptSource](https://scriptsource.org/scr/Thai), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Thai), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch16.pdf#G46485), [Wiktionary](https://en.wiktionary.org/wiki/Category:Thai_script).


#### Braille

Braille (⠃⠗⠇) is an artificial alphabet, written left-to-right. A tactile writing system used by the visually impaired, traditionally written on embossed paper. Developed 1821 by Louis Braille, who lost his sight at age three. Inspired by Charles Barbier’s night writing code developed for silent military communication. Each sign is a combination of six raised or lowered dots. All 64 combinations stand for Latin letters, common abbreviations and words, and a space. Used for languages that use the Latin script or have a Latin transcription convention. Read more on [ScriptSource](https://scriptsource.org/scr/Brai), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Brai), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch21.pdf#G26597), [Wiktionary](https://en.wiktionary.org/wiki/Category:Braille_script).


#### Tifinagh

Tifinagh (ⵜⵉⴼⵉⵏⴰⵖ) is an African abjad. Used alongside the Berber Latin Alphabet for Berber languages of North Africa (1 million speakers), and for Tuareg languages. Read more on [ScriptSource](https://scriptsource.org/scr/Tfng), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Tfng), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch19.pdf#G43184), [Wiktionary](https://en.wiktionary.org/wiki/Category:Tifinagh_script).


#### Tamil

Tamil (தமிழ்) is an Indic abugida, written left-to-right (70 million users). Used in India, Sri Lanka, Singapore, Malaysia and Mauritius for the Tamil language, and other languages like Irula, Badaga, Kurumba, Paniya, Saurashtra. Has 18 consonants (modest set for Brahmic scripts) and 12 vowels. Needs software support for complex text layout (shaping). Read more on [ScriptSource](https://scriptsource.org/scr/Taml), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Taml), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch12.pdf#G10162), [Wiktionary](https://en.wiktionary.org/wiki/Category:Tamil_script).


#### N’Ko

N’Ko (ߒߞߏ) is an African alphabet, written right-to-left. Used in West Africa for the Manding languages. Created in 1949 by Solomana Kante. The name of the script means “I say”. Has 19 consonants, 7 vowels and 8 diacritics. Influenced by the Arabic script. Read more on [ScriptSource](https://scriptsource.org/scr/Nkoo), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Nkoo), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch19.pdf#G18603), [Wiktionary](https://en.wiktionary.org/wiki/Category:N%27Ko_script).


#### Thaana

Thaana (ދިވެހި) is an Indic alphabet, written right-to-left (350,000 users). Used on the Maldives and in India for the Maldivian (Mahl, Dhivehi) language, which also uses a Latin transliteration. Read more on [ScriptSource](https://scriptsource.org/scr/Thaa), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Thaa), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch13.pdf#G26451), [Wiktionary](https://en.wiktionary.org/wiki/Category:Thaana_script).


#### Tibetan

Tibetan (བོད) is a Central Asian abugida, written left-to-right (5 million users). Used since c. 650 CE in Tibet, Bhutan, Nepal and India for the Tibetan, Dzongkha, Ladakhi and Sikkimese languages and for religious Sanskrit texts. Needs software support for complex text layout (shaping). Read more on [ScriptSource](https://scriptsource.org/scr/Tibt), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Tibt), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch13.pdf#G31615), [Wiktionary](https://en.wiktionary.org/wiki/Category:Tibetan_script).


#### Ogham

Ogham (᚛ᚑᚌᚐᚋ᚜) is a historical European alphabet. Was written bottom-to-top, left-to-right or boustrophedon. Was used in the 5th–10th centuries CE in Ireland, Wales, Devon, Cornwall, and on the Isle of Man, for the Primitive Irish, Old Irish, Pictish, and Old Norse languages. Uses 20 symbols. Read more on [ScriptSource](https://scriptsource.org/scr/Ogam), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Ogam), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch08.pdf#G29182), [Wiktionary](https://en.wiktionary.org/wiki/Category:Ogham_script).


#### Bopomofo

Bopomofo (注音符號, 注音符号, ㄅㄆㄇㄈ) is an East Asian syllabary, written left-to-right. Developed in 1913 in China to be used for Mandarin Chinese transliteration alongside the Latin-based Wade–Giles system. Also called Mandarin Phonetic Symbols or Zhuyin (注音). Bopomofo is an official transliteration system in Taiwan, used in dictionaries, books, newspapers and journals to annotate the Taiwanese pronunciation of Chinese Han characters, and in electronic input methods. Largely replaced by Pinyin romanization in the People’s Republic of China. Also used as the primary script for Taiwan’s minority languages like Atayal, Taroko, Paiwan and Yami. Has 21 onset consonants, 16 rhymes, and 4 tone marks. Read more on [ScriptSource](https://scriptsource.org/scr/Bopo), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Bopo), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch18.pdf#G22467), [Wiktionary](https://en.wiktionary.org/wiki/Category:Zhuyin_script).


#### Malayalam

Malayalam (മലയാളം) is an Indic abugida, written left-to-right (38 million users). Used since c. 830 CE in India for Malayalam (official language of the Kerala state), Irula, Paniya and some other languages. Derived from the a Vatteluttu alphabet. Has 15 vowel letters, 42 consonant letters, and a few other symbols. Needs software support for complex text layout (shaping). Read more on [ScriptSource](https://scriptsource.org/scr/Mlym), [Wikipedia](https://en.wikipedia.org/wiki/ISO_15924:Mlym), [Unicode](https://www.unicode.org/versions/Unicode13.0.0/ch12.pdf#G22346), [Wiktionary](https://en.wiktionary.org/wiki/Category:Malayalam_script).



### License

Based on [No Moral Beta 1.7d](https://fontstruct.com/fontstructions/show/1391996/no-moral-beta-v1-7d) by [Khalifani](https://fontstruct.com/fontstructors/1341204/khalfani).

Dedicated to the public domain via the [CC0 1.0 Universal Public Domain Dedication](https://creativecommons.org/publicdomain/zero/1.0/). No rights reserved.

The person who associated a work with this deed has dedicated the work to the public domain by waiving all of his or her rights to the work worldwide under copyright law, including all related and neighboring rights, to the extent allowed by law. You can copy, modify, distribute and perform the work, even for commercial purposes, all without asking permission.

### Using this font

You may create your own fonts based on this font, and you may incorporate portions of this font into your own font. You may publish your own font under any license, including a commercial license, without any limitations.

